<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Anmeldung;

class AnmeldungController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new AnmeldungUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new AnmeldungRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->belegId = \GetOperations::getVarValue('belid');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new AnmeldungPresenter($pUseCaseResponse);
  }
}